org.apache.fop.afp.modca

## Class ObjectAreaPosition

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.ObjectAreaPosition

- All Implemented Interfaces:
    Streamable

      public class ObjectAreaPosition
      extends AbstractAFPObject

  The Object Area Position structured field specifies the origin and orientation of the object area, and the origin and orientation of the object content within the object area.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `REFCSYS_PAGE_RELATIVE` Object areas will be positioned with respect to the standard origin
    `static byte` | `REFCSYS_PAGE_SEGMENT_RELATIVE` Object areas will be positioned with respect to a point that is define by the Include Page Segment (IPS) structured field.

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectAreaPosition(int x, int y, int rotation)` Construct an object area position for the specified object y, y position.
    `ObjectAreaPosition(int x, int y, int rotation, byte refCSys)` Construct an object area position for the specified object y, y position.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setReferenceCoordinateSystem(byte refCSys)` Sets the reference coordinate system.
    `java.lang.String` | `toString()`
    `void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REFCSYS_PAGE_SEGMENT_RELATIVE

          public static final byte REFCSYS_PAGE_SEGMENT_RELATIVE

      Object areas will be positioned with respect to a point that is define by the Include Page Segment (IPS) structured field.
      See Also:
        Constant Field Values

    - #### REFCSYS_PAGE_RELATIVE

          public static final byte REFCSYS_PAGE_RELATIVE

      Object areas will be positioned with respect to the standard origin
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ObjectAreaPosition

          public ObjectAreaPosition(int x,
                                    int y,
                                    int rotation)

      Construct an object area position for the specified object y, y position.
      Parameters:
        `x` - The x coordinate.
        `y` - The y coordinate.
        `rotation` - The coordinate system rotation (must be 0, 90, 180, 270).

    - #### ObjectAreaPosition

          public ObjectAreaPosition(int x,
                                    int y,
                                    int rotation,
                                    byte refCSys)

      Construct an object area position for the specified object y, y position.
      Parameters:
        `x` - The x coordinate.
        `y` - The y coordinate.
        `rotation` - The coordinate system rotation (must be 0, 90, 180, 270).
        `refCSys` - the reference coordinate system (normally 0x01)

  - ### Method Detail

    - #### setReferenceCoordinateSystem

          public void setReferenceCoordinateSystem(byte refCSys)

      Sets the reference coordinate system.
      Parameters:
        `refCSys` - the reference coordinate system (normally 0x01)

    - #### writeToStream

          public void writeToStream(java.io.OutputStream os)
                             throws java.io.IOException

      DataStream objects must implement the writeToStream() method to write its data to the given OutputStream
      Parameters:
        `os` - the outputsteam stream
      Throws:
        `java.io.IOException` - an I/O exception of some sort has occurred.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.